function Tinkerforge() {
	this.IPConnection = require('./Tinkerforge/IPConnection');
	this.BrickDC = require('./Tinkerforge/BrickDC');
	this.BrickIMU = require('./Tinkerforge/BrickIMU');
	this.BrickIMUV2 = require('./Tinkerforge/BrickIMUV2');
	this.BrickMaster = require('./Tinkerforge/BrickMaster');
	this.BrickRED = require('./Tinkerforge/BrickRED');
	this.BrickServo = require('./Tinkerforge/BrickServo');
	this.BrickStepper = require('./Tinkerforge/BrickStepper');
	this.BrickletAccelerometer = require('./Tinkerforge/BrickletAccelerometer');
	this.BrickletAmbientLight = require('./Tinkerforge/BrickletAmbientLight');
	this.BrickletAmbientLightV2 = require('./Tinkerforge/BrickletAmbientLightV2');
	this.BrickletAnalogIn = require('./Tinkerforge/BrickletAnalogIn');
	this.BrickletAnalogInV2 = require('./Tinkerforge/BrickletAnalogInV2');
	this.BrickletAnalogOut = require('./Tinkerforge/BrickletAnalogOut');
	this.BrickletAnalogOutV2 = require('./Tinkerforge/BrickletAnalogOutV2');
	this.BrickletBarometer = require('./Tinkerforge/BrickletBarometer');
	this.BrickletCO2 = require('./Tinkerforge/BrickletCO2');
	this.BrickletColor = require('./Tinkerforge/BrickletColor');
	this.BrickletCurrent12 = require('./Tinkerforge/BrickletCurrent12');
	this.BrickletCurrent25 = require('./Tinkerforge/BrickletCurrent25');
	this.BrickletDistanceIR = require('./Tinkerforge/BrickletDistanceIR');
	this.BrickletDistanceUS = require('./Tinkerforge/BrickletDistanceUS');
	this.BrickletDualButton = require('./Tinkerforge/BrickletDualButton');
	this.BrickletDualRelay = require('./Tinkerforge/BrickletDualRelay');
	this.BrickletDustDetector = require('./Tinkerforge/BrickletDustDetector');
	this.BrickletGPS = require('./Tinkerforge/BrickletGPS');
	this.BrickletHallEffect = require('./Tinkerforge/BrickletHallEffect');
	this.BrickletHumidity = require('./Tinkerforge/BrickletHumidity');
	this.BrickletIndustrialAnalogOut = require('./Tinkerforge/BrickletIndustrialAnalogOut');
	this.BrickletIndustrialDigitalIn4 = require('./Tinkerforge/BrickletIndustrialDigitalIn4');
	this.BrickletIndustrialDigitalOut4 = require('./Tinkerforge/BrickletIndustrialDigitalOut4');
	this.BrickletIndustrialDual020mA = require('./Tinkerforge/BrickletIndustrialDual020mA');
	this.BrickletIndustrialDualAnalogIn = require('./Tinkerforge/BrickletIndustrialDualAnalogIn');
	this.BrickletIndustrialQuadRelay = require('./Tinkerforge/BrickletIndustrialQuadRelay');
	this.BrickletIO16 = require('./Tinkerforge/BrickletIO16');
	this.BrickletIO4 = require('./Tinkerforge/BrickletIO4');
	this.BrickletJoystick = require('./Tinkerforge/BrickletJoystick');
	this.BrickletLaserRangeFinder = require('./Tinkerforge/BrickletLaserRangeFinder');
	this.BrickletLCD16x2 = require('./Tinkerforge/BrickletLCD16x2');
	this.BrickletLCD20x4 = require('./Tinkerforge/BrickletLCD20x4');
	this.BrickletLEDStrip = require('./Tinkerforge/BrickletLEDStrip');
	this.BrickletLine = require('./Tinkerforge/BrickletLine');
	this.BrickletLinearPoti = require('./Tinkerforge/BrickletLinearPoti');
	this.BrickletLoadCell = require('./Tinkerforge/BrickletLoadCell');
	this.BrickletMoisture = require('./Tinkerforge/BrickletMoisture');
	this.BrickletMotionDetector = require('./Tinkerforge/BrickletMotionDetector');
	this.BrickletMultiTouch = require('./Tinkerforge/BrickletMultiTouch');
	this.BrickletNFCRFID = require('./Tinkerforge/BrickletNFCRFID');
	this.BrickletOLED128x64 = require('./Tinkerforge/BrickletOLED128x64');
	this.BrickletOLED64x48 = require('./Tinkerforge/BrickletOLED64x48');
	this.BrickletPiezoBuzzer = require('./Tinkerforge/BrickletPiezoBuzzer');
	this.BrickletPiezoSpeaker = require('./Tinkerforge/BrickletPiezoSpeaker');
	this.BrickletPTC = require('./Tinkerforge/BrickletPTC');
	this.BrickletRealTimeClock = require('./Tinkerforge/BrickletRealTimeClock');
	this.BrickletRemoteSwitch = require('./Tinkerforge/BrickletRemoteSwitch');
	this.BrickletRotaryEncoder = require('./Tinkerforge/BrickletRotaryEncoder');
	this.BrickletRotaryPoti = require('./Tinkerforge/BrickletRotaryPoti');
	this.BrickletRS232 = require('./Tinkerforge/BrickletRS232');
	this.BrickletSegmentDisplay4x7 = require('./Tinkerforge/BrickletSegmentDisplay4x7');
	this.BrickletSolidStateRelay = require('./Tinkerforge/BrickletSolidStateRelay');
	this.BrickletSoundIntensity = require('./Tinkerforge/BrickletSoundIntensity');
	this.BrickletTemperature = require('./Tinkerforge/BrickletTemperature');
	this.BrickletTemperatureIR = require('./Tinkerforge/BrickletTemperatureIR');
	this.BrickletThermocouple = require('./Tinkerforge/BrickletThermocouple');
	this.BrickletTilt = require('./Tinkerforge/BrickletTilt');
	this.BrickletUVLight = require('./Tinkerforge/BrickletUVLight');
	this.BrickletVoltage = require('./Tinkerforge/BrickletVoltage');
	this.BrickletVoltageCurrent = require('./Tinkerforge/BrickletVoltageCurrent');
}

module.exports = new Tinkerforge();